"""--init-- module for BZsceneWriter"""

# Copyright (C) 2006: A.D.Foster
#
# ***** BEGIN GPL LICENSE BLOCK *****
#
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# ***** END GPL LICENCE BLOCK *****

import BZtypeList
import BZcommon
import box
import base
import pyramid
import zone
import teleporter
import arc
import sphere
import cone
import meshbox
import material
import meshpyr
import link
import weapon
import world
import define
import mesh
import group
import waterLevel
import physics
import tetra
import dyncol
import texmat


Object={ 	
	'box'					:box ,
	'pyramid'				:pyramid ,
	'base'					:base ,
	'define' 				:define ,
	'group'					:group ,
	'link'					:link,
	'mesh'					:mesh,
	'arc'					:arc,
	'meshbox'				:meshbox,
	'cone'					:cone,
	'meshpyr'				:meshpyr,
	'sphere'				:sphere,
	'tetra'					:tetra,
	'weapon'				:weapon,
	'zone'					:zone ,
	'waterLevel'			:waterLevel,
	'dynamicColor'			:dyncol,
	'textureMatrix'			:texmat,
	'material'				:material,
	'physics'				:physics,
	'teleporter'			:teleporter,
	'world'					:world
		}

			
